package com.jy.flow.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.flow.dto.FlowHisTaskDto;
import com.jy.flow.dto.FlowTaskDto;
import com.jy.flow.mapper.WarmFlowMapper;
import com.jy.flow.service.ExecuteService;
import com.jy.flow.vo.FlowTaskVo;
import com.warm.flow.orm.entity.FlowHisTask;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

@Service
public class ExecuteServiceImpl implements ExecuteService {

    @Resource
    private WarmFlowMapper flowMapper;

    @Override
    public Page<FlowTaskVo> toDoPage(FlowTaskDto dto) {
        return flowMapper.toDoPage(dto.getPage(), dto);
    }

    @Override
    public Page<FlowHisTask> donePage(FlowHisTaskDto dto) {
        return flowMapper.donePage(dto.getPage(), dto);
    }

    @Override
    public Page<FlowHisTask> copyPage(FlowTaskDto dto) {
        return flowMapper.copyPage(dto.getPage(), dto);
    }

}
